#include <stdio.h>
#include <stdlib.h>
#include <windows.h>
#include <string.h>
#include <conio.h>

#include "menu_opcoes.h"
#include "menu_operacoes.h"
#include "estruturas.h"
#include "operacao.h"
#include "criador_de_AE.h"

void logo() //exibe a logomarca
{
    print_logo(); //a funcao print_logo esta em menu_operacoes.h
    Sleep(1000);
    printf("           Simplicidade, praticidade.\n");
    Sleep(500);
    system("cls");
    system ("color 1F");
}

//essa funcao sera o integrador das funcoes principais do programa: criar arquivos de entrada e operar arquivos de entrada
void integra()
{
    //Variaveis
    int opcao, saida=0;
    logo();
    //--------------------------------

    printf("Bem-vindo ao sistema EasyCard\n");

    do
    {   //impressao do menu principal, que sera repetido de forma ciclica ate que se encerre o programa
        printf("\nQual a operacao desejada?\n");
        printf("________________________\n1- Criar um novo arquivo de entrada\n2- Executar um arquivo ja existente\n3- Sair do programa\n________________________\n");
        fflush(stdin);
        scanf("%d", &opcao);

        while(!((opcao>=1)&&(opcao<=3)))  //valida as opcoes escolhidas
        {
            printf("\n\n**ERRO: OPCAO INVALIDA**\n");
            printf("\n\nDigite o numero da operacao ");
            fflush(stdin);
            scanf("%d", &opcao);
        }
        system("cls");

        switch(opcao) //switch das opcoes do programa
        {
            case 1: //cria um arquivo de entrada e guarda no diretorio principal
            printf("Atencao: sera gerado um arquivo de saida com o nome \"arquivo_saida.txt\".\nCaso haja um arquivo com esse nome, este sera substituido e os dados anteriores serao perdidos.\nPressione uma tecla para prosseguir");
            getch();
            cria_AE(); //inicia o gerador de arquivos de entrada
            break;

            //--------------------------
            case 2:
            printf("\nAgora serao executadas as operacoes do arquivo de entrada.\nPressione uma tecla para prosseguir.\n");
            getch();
            open_arquivos(); //ABRE ARQUIVOS, Get_data, Get_operacao
            printf("\n\nAs operacoes contidas no arquivo foram concluidas.");
            Sleep(1000);
            break;

            //--------------------------
            case 3: //sai do programa
            saida=1;
            break;
        }
        system("cls");
    }while(!saida);


    //impressao da logomarca de despedida
    system("color 71");
    printf("            _ _       \n/\\   /\\___ | | |_ ___ \n\\ \\ / / _ \\| | __/ _ \\\n \\ V / (_) | | ||  __/\n  \\_/ \\___/|_|\\__\\___|           \n                                     _ \n ___  ___ _ __ ___  _ __  _ __ ___  / \\\n/ __|/ _ \\ '_ ` _ \\| '_ \\| '__/ _ \\/  /\n\\__ \\  __/ | | | | | |_) | | |  __/\\_/ \n|___/\\___|_| |_| |_| .__/|_|  \\___\\/   \n                   |_|                 \n");

}

