#include <stdio.h>
#include <stdlib.h>
#include "menu_operacoes.h"


void recebe_data(FILE* arquivo)
{
    int dia, mes, ano;
    printf("\nPor favor, insira a data do expediente\n");

    printf("Dia: ");
    fflush(stdin);
    scanf("%d", &dia);
    while(!autentica_dd(dia))
    {
        printf("\n**ERRO: DIA INVALIDO**\nDigite novamente: ");
        fflush(stdin);
        scanf("%d", &dia);
    }

    printf("Mes: ");
    fflush(stdin);
    scanf("%d", &mes);
    while(!autentica_mm(mes))
    {
        printf("\n**ERRO: MES INVALIDO**\nDigite novamente: ");
        fflush(stdin);
        scanf("%d", &mes);
    }

    printf("Ano: ");
    fflush(stdin);
    scanf("%d", &ano);
    while(!autentica_aaaa(ano))
    {
        printf("\n**ERRO: ANO INVALIDO**\nDigite novamente: ");
        fflush(stdin);
        scanf("%d", &ano);
    }
    fprintf(arquivo, "*%d/%d/%d\n\n", dia, mes, ano);
}


void menu(FILE* arquivo)
{
    int opcao, confirma_s_n=1, confirma_loop, confirma_expediente;
    char confirma;
    printf("Bem-vindo ao criador de arquivos de entrada para o sistema EasyCard\n\n\n");
    getch();
    do
    {
        system ("color 1F");
        system("cls");
        recebe_data(arquivo);

        do
        {
            system("cls");
            system ("color 1F");
            printf("\n\nQual a operacao desejada?\n________________________________\n"); //apresentacao das opcoes ao usuario
            printf("\n1- Cadastrar novo cliente");
            printf("\n2- Atualizar cadastro de cliente existente");
            printf("\n3- Excluir cliente existente");
            printf("\n4- Cadastrar nova loja");
            printf("\n5- Registrar uma compra");
            printf("\n6- Sair do programa\n________________________________\n");

            printf("\n\nDigite o numero da operacao desejada "); //recebe a opcao digitada pelo usuario
            fflush(stdin);
            scanf("%d", &opcao);

            while (!(((opcao>=1)&&(opcao<=6))||(opcao==42)))  //valida a opcao digitada pelo usuario
            {
                printf("\n\n**ERRO: OPCAO INVALIDA**\n");
                printf("\n\nDigite o numero da operacao ");
                fflush(stdin);
                scanf("%d", &opcao);
            }
            system("cls");
            switch (opcao)
            {
            case 1:
                AE_cadastra_cliente(arquivo);
                break;
                //---------------------------------------------------------
            case 2:
                AE_atualizar_cadastro(arquivo);
                break;
                //---------------------------------------------------------
            case 3:
                AE_excluir_cliente(arquivo);
                break;
                //---------------------------------------------------------
            case 4:
                AE_cadastrar_loja(arquivo);
                break;
                //---------------------------------------------------------
            case 5:
                AE_compra(arquivo);
                break;
            case 6:
                goto SAIR; // o goto sai de dois lacos ao mesmo tempo
                break;
                //---------------------------------------------------------
            case 42:
                AE_peanut_butter_jelly(arquivo);
                break;
            }
            printf("\nDeseja fazer outra operacao? (S/N) ");

            do
            {
                fflush(stdin);
                scanf("%c", &confirma);
                if ((confirma=='s')||(confirma=='S'))
                {
                    confirma_loop=1;
                    confirma_s_n=1;
                }
                else if ((confirma=='n')||(confirma=='N'))
                {
                    confirma_loop=0;
                    confirma_s_n=1;
                }
                else
                {
                    confirma_s_n=0;
                    printf("\n**ERRO: Opcao invalida**\n");
                }
            }
            while (!confirma_s_n);

        }
        while (confirma_loop);

        AE_finaliza_expediente(arquivo);

        SAIR: printf("\nDeseja incluir um novo expediente? (S/N) ");

        do
        {
            fflush(stdin);
            scanf("%c", &confirma);
            if ((confirma=='s')||(confirma=='S'))
            {
                confirma_expediente=1;
                confirma_s_n=1;
            }
            else if ((confirma=='n')||(confirma=='N'))
            {
                confirma_expediente=0;
                confirma_s_n=1;
            }
            else
            {
                confirma_s_n=0;
                printf("\n**ERRO: Opcao invalida**\n");
            }
        }
        while (!confirma_s_n);

    }
    while (confirma_expediente);

    AE_finaliza_arquivo(arquivo);
    system("cls");

}
