#include <stdio.h>
#include <stdlib.h>

void print_logo()
{
    system ("color 71");
    //printf("\n\n\n\n _____                _____               _ \n|  ___|              /  __ \\             | |\n| |__  __ _ ___ _   _| /  \\/ __ _ _ __ __| |\n|  __|/ _` / __| | | | |    / _` | '__/ _` |\n| |__| (_| \\__ \\ |_| | \\__/\\ (_| | | | (_| |\n\\____/\\__,_|___/\\__, |\\____/\\__,_|_|  \\__,_|\n                 __/ |                      \n                |___/                       \n\n");
    printf("\n\n\nMMMMMMMMMMMM\nMM'''''''''M\nMM  mmmmmmmM                            \nM`      MMMM .d8888b. .d8888b. dP    dP \nMM  MMMMMMMM 88'  `88 Y8ooooo. 88    88 \nMM  MMMMMMMM 88.  .88       88 88.  .88 \nMM        .M `88888P8 `88888P' `8888P88 \nMMMMMMMMMMMM                        .88 \nMMMMMMMMMMMM                     d8888P  \nMMM'""""'''''YMM                     dP \nMM' .mmm. `M                         88 \nMM  MMMMMooM .d8888b. 88d888b. .d888b88 \nMM  MMMMMMMM 88'  `88 88'  `88 88'  `88 \nMM. `MMM' .M 88.  .88 88       88.  .88 \nMMM.     .dM `88888P8 dP       `88888P8 \nMMMMMMMMMMMM    \n\n");
    //printf("
}

int autentica_dd(int dia)
{
    if((dia>=1)&&(dia<=31))
    return(1);
    else
    return(0);
}

int autentica_mm(int mes)
{
    if((mes>=1)&&(mes<=12))
    return(1);
    else
    return(0);
}

int autentica_aaaa(int ano)
{
    if((ano>=1000)&&(ano<=9999))
    return(1);
    else
    return(0);
}

void AE_cadastra_cliente(FILE* arquivo)
{
    //variaveis
    char nome[100], CPF[12], endereco[200], telefone[20], email[100];
    int nascimento_dia, nascimento_mes, nascimento_ano, dia_pagamento;
    float renda_mensal, despesas;
    //------------------

    fprintf(arquivo, "-Cadastrar Cliente\n");
    printf("\nFavor digitar os dados do cliente:\n\nNome: ");
    fflush(stdin);
    gets(nome);
    fprintf(arquivo, "%s\n", nome);

    printf("\nCPF (11 digitos): ");
    fflush(stdin);
    gets(CPF);
    fprintf(arquivo, "%s\n", CPF);

    printf("\nData de nascimento:\nDia: ");
    fflush(stdin);
    scanf("%d", &nascimento_dia);
    while(!autentica_dd(nascimento_dia))
    {
        printf("\n**ERRO: DIA INVALIDO**\nDigite novamente: ");
        fflush(stdin);
        scanf("%d", &nascimento_dia);
    }

    printf("\nMes: ");
    fflush(stdin);
    scanf("%d", &nascimento_mes);
    while(!autentica_mm(nascimento_mes))
    {
        printf("\n**ERRO: MES INVALIDO**\nDigite novamente: ");
        fflush(stdin);
        scanf("%d", &nascimento_mes);
    }

    printf("\nAno: ");
    fflush(stdin);
    scanf("%d", &nascimento_ano);
    while(!autentica_aaaa(nascimento_ano))
    {
        printf("\n**ERRO: ANO INVALIDO**\nDigite novamente: ");
        fflush(stdin);
        scanf("%d", &nascimento_ano);

    }

    fprintf(arquivo, "%d/%d/%d\n", nascimento_dia, nascimento_mes, nascimento_ano);

    printf("\nRenda mensal (duas casas decimais apos o \".\"): ");
    fflush(stdin);
    scanf("%f", &renda_mensal);
    fprintf(arquivo, "%.2f\n", renda_mensal);

    printf("\nEndereco (maximo de 200 caracteres): ");
    fflush(stdin);
    gets(endereco);
    fprintf(arquivo, "%s\n", endereco);

    printf("\nTelefone: ");
    fflush(stdin);
    gets(telefone);
    fprintf(arquivo, "%s\n", telefone);

    printf("\nEmail: ");
    fflush(stdin);
    gets(email);
    fprintf(arquivo, "%s\n", email);

    printf("\nDespesas fixas em bancos (duas casas decimais apos o \".\"): ");
    fflush(stdin);
    scanf("%f", &despesas);
    fprintf(arquivo, "%.2f\n", despesas);

    printf("\nDia do pagamento: ");
    fflush(stdin);
    scanf("%d", &dia_pagamento);
    while(!autentica_dd(dia_pagamento))
    {
        printf("\n**ERRO: DIA INVALIDO**\nDigite novamente: ");
        fflush(stdin);
        scanf("%d", &dia_pagamento);
    }

    fprintf(arquivo, "%d\n\n", dia_pagamento);

}

void AE_atualizar_cadastro(FILE* arquivo)
{
    //variaveis
    char CPF[12], endereco[200], telefone[20], email[100];
    int dia_pagamento;
    float renda_mensal;
    //------------------

    fprintf(arquivo, "-Atualizar Cadastro\n");
    printf("\nFavor digitar os CPF do cliente desejado (11 digitos): ");
    fflush(stdin);
    gets(CPF);
    fprintf(arquivo, "%s\n", CPF);

    printf("\nEntre com os novos dados do clliente\n\nEndereco (maximo de 200 caracteres): ");
    fflush(stdin);
    gets(endereco);
    fprintf(arquivo, "%s\n", endereco);

    printf("\nTelefone: ");
    fflush(stdin);
    gets(telefone);
    fprintf(arquivo, "%s\n", telefone);

    printf("\nEmail: ");
    fflush(stdin);
    gets(email);
    fprintf(arquivo, "%s\n", email);

    printf("\nRenda mensal (duas casas decimais apos o \".\"): ");
    fflush(stdin);
    scanf("%f", &renda_mensal);
    fprintf(arquivo, "%.2f\n", renda_mensal);

    printf("\nDia do pagamento: ");
    fflush(stdin);
    scanf("%d", &dia_pagamento);
    while(!autentica_dd(dia_pagamento))
    {
        printf("\n**ERRO: DIA INVALIDO**\nDigite novamente: ");
        fflush(stdin);
        scanf("%d", &dia_pagamento);
    }

    fprintf(arquivo, "%d\n\n", dia_pagamento);

}

void AE_excluir_cliente(FILE* arquivo)
{
    char CPF[12];
    fprintf(arquivo, "-Excluir Cliente\n");
    printf("\nDigite o CPF do cliente desejado (11 caracteres): ");
    fflush(stdin);
    gets(CPF);
    fprintf(arquivo, "%s\n\n", CPF);
}

void AE_cadastrar_loja(FILE* arquivo)
{
    char nome_loja[50], CNPJ[50];
    fprintf(arquivo, "-Cadastrar Loja\n");
    printf("\nDigite o nome da loja: ");
    fflush(stdin);
    gets(nome_loja);
    fprintf(arquivo, "%s\n", nome_loja);

    printf("\nDigite o CNPJ da loja: ");
    fflush(stdin);
    gets(CNPJ);
    fprintf(arquivo, "%s\n\n", CNPJ);
}

void AE_compra(FILE* arquivo)
{
    char CPF[12], CNPJ[50];
    float valor_parcela;
    int n_parcelas;

    fprintf(arquivo, "-Compra\n");
    printf("\nDigite o CPF do comprador (11 digitos): ");
    fflush(stdin);
    gets(CPF);
    fprintf(arquivo, "%s\n", CPF);

    printf("\nDigite o CNPJ da loja: ");
    fflush(stdin);
    gets(CNPJ);
    fprintf(arquivo, "%s\n", CNPJ);

    printf("\nDigite o numero de parcelas: ");
    fflush(stdin);
    scanf("%d", &n_parcelas);
    fprintf(arquivo, "%d\n", n_parcelas);

    printf("\nDigite o valor da parcela (2 digitos apos o \".\"): ");
    fflush(stdin);
    scanf("%f", &valor_parcela);
    fprintf(arquivo, "%.2f\n\n", valor_parcela);
}

void AE_finaliza_expediente(FILE* arquivo)
{
    fprintf(arquivo, "\n^Fimdoexpediente\n\n");
}

void AE_finaliza_arquivo(FILE* arquivo)
{
    fprintf(arquivo, "\n+END\n");
}

void AE_peanut_butter_jelly(FILE* arquivo)
{
    float i;
    system ("color 0E");
    while(i<10)
    {
        system("cls");
        printf("\n                     .:.\n                   :AMMMS.\n                   @M8:$M$\n                 .2MMA.UMA\n                 ,MM;  ,MME\n                UMMo    .MM.\n                #Mt      BMi\n                8MMMMMz:#MMME\n              iMMB  . WM    WMi\n   I6;        ,MM$ .C 6M  t IM;     itIA:\n YBMMM#8c     .M@n7XCt6EI17vzn    :$MM@M@S.\n.MM   2MM     .M@b@0o1  ;IWMz     $M9   AMt\n.MM   ZMM     .MMMbobE$#QbWMz     oM$.  oM7\n  tMMMMM9     .MbYMMMMMM@@MMo     .MMMMME.\n   .   7MMv   .MA  6M#Q0E#MMS   .Z@A.\n        .@M@. ;ME   .@MMM: M# .AMMi\n          c@#E@M@i.        MM0W#z\n               8MMc       .M6\n                EM; .     ,M8\n                WMMn.  .  ,M0\n                 zM@...   .MQ\n                  MMMc..  .M0\n                   EMMBUMMMMz\n                   .MMMMMMMMi\n                   66      WQ.\n                  B$.      vM@\n               W@MMi        .M@@@@c\n           :@M@Zo7vZ@Mv    ZMM0zU9#MM7\n           CM@      9M@   iMM      tMM\n           i##QWBBBQAi.    .X0WBBBQW@I    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n                     .:.\n                   :AMMMS.\n                   @M8:$M$\n                 .2MMA.UMA\n                 ,MM;  ,MME\n                UMMo    .MM.\n                #Mt      BMi\n                8MMMMMz:#MMME\n              iMMB  . WM    WMi\n   I6;        ,MM$ .C 6M  t IM;     itIA:\n YBMMM#8c     .M@n7XCt6EI17vzn    :$MM@M@S.\n.MM   2MM     .M@b@0o1  ;IWMz     $M9   AMt\n.MM   ZMM     .MMMbobE$#QbWMz     oM$.  oM7\n  tMMMMM9     .MbYMMMMMM@@MMo     .MMMMME.\n   .   7MMv   .MA  6M#Q0E#MMS   .Z@A.\n        .@M@. ;ME   .@MMM: M# .AMMi\n          c@#E@M@i.        MM0W#z\n               8MMc       .M6\n                EM; .     ,M8\n                WMMn.  .  ,M0\n                 zM@...   .MQ\n                  MMMc..  .M0\n                   EMMBUMMMMz\n                   .MMMMMMMMi\n                   66      WQ.\n                  B$.      vM@\n               W@MMi        .M@@@@c\n           :@M@Zo7vZ@Mv    ZMM0zU9#MM7\n           CM@      9M@   iMM      tMM\n           i##QWBBBQAi.    .X0WBBBQW@I    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n                     .:.\n                   :AMMMS.\n                   @M8:$M$\n                 .2MMA.UMA\n                 ,MM;  ,MME\n                UMMo    .MM.\n                #Mt      BMi\n                8MMMMMz:#MMME\n              iMMB  . WM    WMi\n   I6;        ,MM$ .C 6M  t IM;     itIA:\n YBMMM#8c     .M@n7XCt6EI17vzn    :$MM@M@S.\n.MM   2MM     .M@b@0o1  ;IWMz     $M9   AMt\n.MM   ZMM     .MMMbobE$#QbWMz     oM$.  oM7\n  tMMMMM9     .MbYMMMMMM@@MMo     .MMMMME.\n   .   7MMv   .MA  6M#Q0E#MMS   .Z@A.\n        .@M@. ;ME   .@MMM: M# .AMMi\n          c@#E@M@i.        MM0W#z\n               8MMc       .M6\n                EM; .     ,M8\n                WMMn.  .  ,M0\n                 zM@...   .MQ\n                  MMMc..  .M0\n                   EMMBUMMMMz\n                   .MMMMMMMMi\n                   66      WQ.\n                  B$.      vM@\n               W@MMi        .M@@@@c\n           :@M@Zo7vZ@Mv    ZMM0zU9#MM7\n           CM@      9M@   iMM      tMM\n           i##QWBBBQAi.    .X0WBBBQW@I    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");

        printf("\n\n\n\n\n                     #M0\n                   IMMMMMX\n                   @MEv#MQ\n                 cMMW  2MZ\n               :MMMi   .ME\n              :MME.    .MA\n             i$M9    90@MM1E:\n             MME:  n#0ICiMMBZ6.\n             $M.   MM   7MM$MM:\n             WMi.  QM    BMi0M:\n             $Mv$M. iMMM#MM@;\n             $M;#MMM@;.. QM.\n             $M:7MM#$MMMMMI\n             BM, .ZMMMWQM:\n             BM.   .6I$MMM;\n       zMMMY IMMc.     ccMM.   i@MM@\n     cMW7XMM@.YM#..      ZMMi WMM0X6M8\n     UM7   CM. MM@i..     tM6 MM    MM\n     vM2  9MM,  #Mt.,:.   .MZ WM@. .M@\n       EMMMMMi  YMM@;...   $M@ .MMM@.\n            tM#.iQ$MM0tt,   BM.:A\n              o@@c nMMMMMEMMMMM@8.\n             .QMMM#i  ,S8E2;,. oMMME\n           iW0v:,tM#SC     :71z7i;tE@I\n           nMt      XMU   .MM..     MM\n            .oBBBW00BMt   .B@00QBBB0;.    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n\n\n\n\n                     #M0\n                   IMMMMMX\n                   @MEv#MQ\n                 cMMW  2MZ\n               :MMMi   .ME\n              :MME.    .MA\n             i$M9    90@MM1E:\n             MME:  n#0ICiMMBZ6.\n             $M.   MM   7MM$MM:\n             WMi.  QM    BMi0M:\n             $Mv$M. iMMM#MM@;\n             $M;#MMM@;.. QM.\n             $M:7MM#$MMMMMI\n             BM, .ZMMMWQM:\n             BM.   .6I$MMM;\n       zMMMY IMMc.     ccMM.   i@MM@\n     cMW7XMM@.YM#..      ZMMi WMM0X6M8\n     UM7   CM. MM@i..     tM6 MM    MM\n     vM2  9MM,  #Mt.,:.   .MZ WM@. .M@\n       EMMMMMi  YMM@;...   $M@ .MMM@.\n            tM#.iQ$MM0tt,   BM.:A\n              o@@c nMMMMMEMMMMM@8.\n             .QMMM#i  ,S8E2;,. oMMME\n           iW0v:,tM#SC     :71z7i;tE@I\n           nMt      XMU   .MM..     MM\n            .oBBBW00BMt   .B@00QBBB0;.    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n\n\n\n\n                     #M0\n                   IMMMMMX\n                   @MEv#MQ\n                 cMMW  2MZ\n               :MMMi   .ME\n              :MME.    .MA\n             i$M9    90@MM1E:\n             MME:  n#0ICiMMBZ6.\n             $M.   MM   7MM$MM:\n             WMi.  QM    BMi0M:\n             $Mv$M. iMMM#MM@;\n             $M;#MMM@;.. QM.\n             $M:7MM#$MMMMMI\n             BM, .ZMMMWQM:\n             BM.   .6I$MMM;\n       zMMMY IMMc.     ccMM.   i@MM@\n     cMW7XMM@.YM#..      ZMMi WMM0X6M8\n     UM7   CM. MM@i..     tM6 MM    MM\n     vM2  9MM,  #Mt.,:.   .MZ WM@. .M@\n       EMMMMMi  YMM@;...   $M@ .MMM@.\n            tM#.iQ$MM0tt,   BM.:A\n              o@@c nMMMMMEMMMMM@8.\n             .QMMM#i  ,S8E2;,. oMMME\n           iW0v:,tM#SC     :71z7i;tE@I\n           nMt      XMU   .MM..     MM\n            .oBBBW00BMt   .B@00QBBB0;.    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");

        printf("\n\n\n                     Xzc\n                   cMMMM@:\n                   #MM8MMW\n                 .@MM  6M8\n                0MMz   :Mb\n              :MMMi    .MZ\n             .2MQ    ;;2M@.i\n             @MMv  i6MM#EMMMZi\n             #M. . MM   .MMUMMi\n             WMi   @M   ,@Mn@M:\n             BMvbW  c#M@ZMMEv.\n             $M;@MM@Qci:.WM;\n             $Mi6MM@@MMM@M#\n             $M, i@M#@$#Mv\n             $M:   vM@@@ME\n    ;8ZS:    $M, .    ,WBMM.      .tI9o\n  :Z@@@MMW.  @M@;.       QM     .nMMM@M$c\n  9MY   QMA  .EM$...     WMMi   ,MM.   MM\n  tM7  i@M7    MM$i..    .6M$    MMS   MM\n   .$MMMMM@t :QMMMY.ii.    MMo .0@MMMMM;\n          SM@Mt 7MMB:.:.   @MM#Wb\n                  @MM8YY,   QM:\n                   0MMMM@1WMMMMt\n                  E0  .#@@$bUo;Q@\n             Y@@#MM:          :MMM@Q\n           ;##UISY;6@#,    A$WScc1U0MI\n           SMS      6M#   :MM       MM\n            .oBBBBBQAi.    .X0WBBBB0;.    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n\n\n                     Xzc\n                   cMMMM@:\n                   #MM8MMW\n                 .@MM  6M8\n                0MMz   :Mb\n              :MMMi    .MZ\n             .2MQ    ;;2M@.i\n             @MMv  i6MM#EMMMZi\n             #M. . MM   .MMUMMi\n             WMi   @M   ,@Mn@M:\n             BMvbW  c#M@ZMMEv.\n             $M;@MM@Qci:.WM;\n             $Mi6MM@@MMM@M#\n             $M, i@M#@$#Mv\n             $M:   vM@@@ME\n    ;8ZS:    $M, .    ,WBMM.      .tI9o\n  :Z@@@MMW.  @M@;.       QM     .nMMM@M$c\n  9MY   QMA  .EM$...     WMMi   ,MM.   MM\n  tM7  i@M7    MM$i..    .6M$    MMS   MM\n   .$MMMMM@t :QMMMY.ii.    MMo .0@MMMMM;\n          SM@Mt 7MMB:.:.   @MM#Wb\n                  @MM8YY,   QM:\n                   0MMMM@1WMMMMt\n                  E0  .#@@$bUo;Q@\n             Y@@#MM:          :MMM@Q\n           ;##UISY;6@#,    A$WScc1U0MI\n           SMS      6M#   :MM       MM\n            .oBBBBBQAi.    .X0WBBBB0;.    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n\n\n                     Xzc\n                   cMMMM@:\n                   #MM8MMW\n                 .@MM  6M8\n                0MMz   :Mb\n              :MMMi    .MZ\n             .2MQ    ;;2M@.i\n             @MMv  i6MM#EMMMZi\n             #M. . MM   .MMUMMi\n             WMi   @M   ,@Mn@M:\n             BMvbW  c#M@ZMMEv.\n             $M;@MM@Qci:.WM;\n             $Mi6MM@@MMM@M#\n             $M, i@M#@$#Mv\n             $M:   vM@@@ME\n    ;8ZS:    $M, .    ,WBMM.      .tI9o\n  :Z@@@MMW.  @M@;.       QM     .nMMM@M$c\n  9MY   QMA  .EM$...     WMMi   ,MM.   MM\n  tM7  i@M7    MM$i..    .6M$    MMS   MM\n   .$MMMMM@t :QMMMY.ii.    MMo .0@MMMMM;\n          SM@Mt 7MMB:.:.   @MM#Wb\n                  @MM8YY,   QM:\n                   0MMMM@1WMMMMt\n                  E0  .#@@$bUo;Q@\n             Y@@#MM:          :MMM@Q\n           ;##UISY;6@#,    A$WScc1U0MI\n           SMS      6M#   :MM       MM\n            .oBBBBBQAi.    .X0WBBBB0;.    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");


        printf("                     .S@@n.\n                    .M@.iMM.\n                   .IMM:iMM\n                   WM@c  #M0.\n                 .IMM.   .$M#\n                 ;MM,      MQ\n ZMMMB           .MM@MM@.;MMM@.           #MMMQ\nWc..MMMc        ZMM7 ..cM9   cMB        SMM@..QM;\nM    nMz        WMM. A. M1 o, MM        bMc   CMX\n0c,,MMM:        ZMMv.,.;@b.,..@6        :MMM,.A@i\n nMM@@@o;i      bM10M@#t .@#MM        ::X@@MMMC\n      ;A@M@S7   2MM@c;vcCXc;@M    .7S@MWX,\n         itBMM: tM8#MMMMMMMMMM  2EMM07,\n            .@M0M@  1M@0EEE@MMQ@Mo:.\n                #M:   EMMM@,ZM;\n                8Mi         oM\n                $MS..       0M.\n                7MM$.       QM.\n                  M#  ....  WM.\n                 .MMZ;. ..  QM.\n                  iMMc .    0M.\n                   AMMI...  8M.\n                    iMMMX0MMMM.\n                     8MMMMMM1\n                    .0i    Et\n                   SM9     cM@.\n                   7I       iW\n               B@@BMM0.    7MMM@@@c\n           :@M@8Azt;AM#   :MMiX2A9#MM7\n           CM@      MME   .MMo     tMM\n           i##QWBBBt:..    .,;bBBBQW@I    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("                     .S@@n.\n                    .M@.iMM.\n                   .IMM:iMM\n                   WM@c  #M0.\n                 .IMM.   .$M#\n                 ;MM,      MQ\n ZMMMB           .MM@MM@.;MMM@.           #MMMQ\nWc..MMMc        ZMM7 ..cM9   cMB        SMM@..QM;\nM    nMz        WMM. A. M1 o, MM        bMc   CMX\n0c,,MMM:        ZMMv.,.;@b.,..@6        :MMM,.A@i\n nMM@@@o;i      bM10M@#t .@#MM        ::X@@MMMC\n      ;A@M@S7   2MM@c;vcCXc;@M    .7S@MWX,\n         itBMM: tM8#MMMMMMMMMM  2EMM07,\n            .@M0M@  1M@0EEE@MMQ@Mo:.\n                #M:   EMMM@,ZM;\n                8Mi         oM\n                $MS..       0M.\n                7MM$.       QM.\n                  M#  ....  WM.\n                 .MMZ;. ..  QM.\n                  iMMc .    0M.\n                   AMMI...  8M.\n                    iMMMX0MMMM.\n                     8MMMMMM1\n                    .0i    Et\n                   SM9     cM@.\n                   7I       iW\n               B@@BMM0.    7MMM@@@c\n           :@M@8Azt;AM#   :MMiX2A9#MM7\n           CM@      MME   .MMo     tMM\n           i##QWBBBt:..    .,;bBBBQW@I    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("                     .S@@n.\n                    .M@.iMM.\n                   .IMM:iMM\n                   WM@c  #M0.\n                 .IMM.   .$M#\n                 ;MM,      MQ\n ZMMMB           .MM@MM@.;MMM@.           #MMMQ\nWc..MMMc        ZMM7 ..cM9   cMB        SMM@..QM;\nM    nMz        WMM. A. M1 o, MM        bMc   CMX\n0c,,MMM:        ZMMv.,.;@b.,..@6        :MMM,.A@i\n nMM@@@o;i      bM10M@#t .@#MM        ::X@@MMMC\n      ;A@M@S7   2MM@c;vcCXc;@M    .7S@MWX,\n         itBMM: tM8#MMMMMMMMMM  2EMM07,\n            .@M0M@  1M@0EEE@MMQ@Mo:.\n                #M:   EMMM@,ZM;\n                8Mi         oM\n                $MS..       0M.\n                7MM$.       QM.\n                  M#  ....  WM.\n                 .MMZ;. ..  QM.\n                  iMMc .    0M.\n                   AMMI...  8M.\n                    iMMMX0MMMM.\n                     8MMMMMM1\n                    .0i    Et\n                   SM9     cM@.\n                   7I       iW\n               B@@BMM0.    7MMM@@@c\n           :@M@8Azt;AM#   :MMiX2A9#MM7\n           CM@      MME   .MMo     tMM\n           i##QWBBBt:..    .,;bBBBQW@I    \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");


        printf("\n                          ::\n                       .;@MM@:\n                       ;MMvvMM.\n                        M@,;MM@:\n                      cMM6  ,$M#\n                      $M;    ,MM@.\n                      BM.     :MM.\n                   .iMMMMziMMMMMM:\n                   MM    QM.   iMM0\n         SAz7      MM .X IM  X .MM8       :tIUi\n       7W@MMMMv    ;E1cXtAEU1C7Y0Mb     :WMM@M@1.\n       MM   iMM.     MM11  iIA#EZMb     QME   1MC\n       MM   zMM     .MM6b$#QEUt@MMU     tM#.  XM7\n        7MMMMME     .MM@@MM@@MM87M0     .MMMMM0.\n         .   cMMY    MMM$000M@. .M0    A@9.\n              .#M@: iMY 0MMM7   :M@ .2MM;\n                ;@#E#MX       .i2MMQW#U\n                     Mb       .@M#,\n                    .M0    ... WM\n                    .MQ  ....c0MM.\n                    .MQ   ...YM#.\n                    .MQ  ..:bMMX\n                    .MMMM#2MMM\n                     8MMMMMMMo\n                    iB,     i@v\n                   XM1       bMt\n               B@@#Mn         MM#@c\n           :@M@8A2tMM@i   .Q@W7726#MM7\n           CM@      7M@   iMM      tMM\n           i##QWBBBQAi.    .X0WBBBQW@I \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n                          ::\n                       .;@MM@:\n                       ;MMvvMM.\n                        M@,;MM@:\n                      cMM6  ,$M#\n                      $M;    ,MM@.\n                      BM.     :MM.\n                   .iMMMMziMMMMMM:\n                   MM    QM.   iMM0\n         SAz7      MM .X IM  X .MM8       :tIUi\n       7W@MMMMv    ;E1cXtAEU1C7Y0Mb     :WMM@M@1.\n       MM   iMM.     MM11  iIA#EZMb     QME   1MC\n       MM   zMM     .MM6b$#QEUt@MMU     tM#.  XM7\n        7MMMMME     .MM@@MM@@MM87M0     .MMMMM0.\n         .   cMMY    MMM$000M@. .M0    A@9.\n              .#M@: iMY 0MMM7   :M@ .2MM;\n                ;@#E#MX       .i2MMQW#U\n                     Mb       .@M#,\n                    .M0    ... WM\n                    .MQ  ....c0MM.\n                    .MQ   ...YM#.\n                    .MQ  ..:bMMX\n                    .MMMM#2MMM\n                     8MMMMMMMo\n                    iB,     i@v\n                   XM1       bMt\n               B@@#Mn         MM#@c\n           :@M@8A2tMM@i   .Q@W7726#MM7\n           CM@      7M@   iMM      tMM\n           i##QWBBBQAi.    .X0WBBBQW@I \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n                          ::\n                       .;@MM@:\n                       ;MMvvMM.\n                        M@,;MM@:\n                      cMM6  ,$M#\n                      $M;    ,MM@.\n                      BM.     :MM.\n                   .iMMMMziMMMMMM:\n                   MM    QM.   iMM0\n         SAz7      MM .X IM  X .MM8       :tIUi\n       7W@MMMMv    ;E1cXtAEU1C7Y0Mb     :WMM@M@1.\n       MM   iMM.     MM11  iIA#EZMb     QME   1MC\n       MM   zMM     .MM6b$#QEUt@MMU     tM#.  XM7\n        7MMMMME     .MM@@MM@@MM87M0     .MMMMM0.\n         .   cMMY    MMM$000M@. .M0    A@9.\n              .#M@: iMY 0MMM7   :M@ .2MM;\n                ;@#E#MX       .i2MMQW#U\n                     Mb       .@M#,\n                    .M0    ... WM\n                    .MQ  ....c0MM.\n                    .MQ   ...YM#.\n                    .MQ  ..:bMMX\n                    .MMMM#2MMM\n                     8MMMMMMMo\n                    iB,     i@v\n                   XM1       bMt\n               B@@#Mn         MM#@c\n           :@M@8A2tMM@i   .Q@W7726#MM7\n           CM@      7M@   iMM      tMM\n           i##QWBBBQAi.    .X0WBBBQW@I \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");


        printf("\n\n\n\n\n                         cMM;\n                       ,MMMMM@\n                       iMM7XMM:\n                       .M@  7MM$\n                       .M6    MMM1\n                        M6     oMMW\n                     U26MMEW:   iMM7\n                   zW9MM7;6E#6  .oMMi\n                   MM#@M0   EM;   QM:\n                   $M;6M;   9M: . WM,\n                     0MM@MMM2. 9M;ZM,\n                      QMc...AMMMMiAM,\n                      iMMMMM@Q@M$.8M,\n                        MM8#@MW;  WM,\n                      .AMMM6oc  . 0M,\n             1MMM6    QMn;:    .i8MM  @MM@.\n           ;M$7XMMM: QMM      :.cMB:ZMMW7IME\n           nMS   CMo MB     .:,9MMi MM    MM\n           iM9  oMMi.MA   .ii,,#M.  @MM,  M@\n             6MMMB ;MMv  .:,,IMM@   ZMMMMM.\n                io 8M;  .7zSMM$0A.YME.\n                t@MMMMM$$MMMM@ .#Mb.\n             vMMMM..,iCbb2c   9MMM@c\n           ;##X;:;not7     iSbMB.:c9@z\n           SM1     .CMI   .MM       MM\n            .oBBBW00BMt   .B@00QBBB0;. \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n\n\n\n\n                         cMM;\n                       ,MMMMM@\n                       iMM7XMM:\n                       .M@  7MM$\n                       .M6    MMM1\n                        M6     oMMW\n                     U26MMEW:   iMM7\n                   zW9MM7;6E#6  .oMMi\n                   MM#@M0   EM;   QM:\n                   $M;6M;   9M: . WM,\n                     0MM@MMM2. 9M;ZM,\n                      QMc...AMMMMiAM,\n                      iMMMMM@Q@M$.8M,\n                        MM8#@MW;  WM,\n                      .AMMM6oc  . 0M,\n             1MMM6    QMn;:    .i8MM  @MM@.\n           ;M$7XMMM: QMM      :.cMB:ZMMW7IME\n           nMS   CMo MB     .:,9MMi MM    MM\n           iM9  oMMi.MA   .ii,,#M.  @MM,  M@\n             6MMMB ;MMv  .:,,IMM@   ZMMMMM.\n                io 8M;  .7zSMM$0A.YME.\n                t@MMMMM$$MMMM@ .#Mb.\n             vMMMM..,iCbb2c   9MMM@c\n           ;##X;:;not7     iSbMB.:c9@z\n           SM1     .CMI   .MM       MM\n            .oBBBW00BMt   .B@00QBBB0;. \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n\n\n\n\n                         cMM;\n                       ,MMMMM@\n                       iMM7XMM:\n                       .M@  7MM$\n                       .M6    MMM1\n                        M6     oMMW\n                     U26MMEW:   iMM7\n                   zW9MM7;6E#6  .oMMi\n                   MM#@M0   EM;   QM:\n                   $M;6M;   9M: . WM,\n                     0MM@MMM2. 9M;ZM,\n                      QMc...AMMMMiAM,\n                      iMMMMM@Q@M$.8M,\n                        MM8#@MW;  WM,\n                      .AMMM6oc  . 0M,\n             1MMM6    QMn;:    .i8MM  @MM@.\n           ;M$7XMMM: QMM      :.cMB:ZMMW7IME\n           nMS   CMo MB     .:,9MMi MM    MM\n           iM9  oMMi.MA   .ii,,#M.  @MM,  M@\n             6MMMB ;MMv  .:,,IMM@   ZMMMMM.\n                io 8M;  .7zSMM$0A.YME.\n                t@MMMMM$$MMMM@ .#Mb.\n             vMMMM..,iCbb2c   9MMM@c\n           ;##X;:;not7     iSbMB.:c9@z\n           SM1     .CMI   .MM       MM\n            .oBBBW00BMt   .B@00QBBB0;. \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");

        printf("\n\n\n                         .Iz.\n                       .9MMMMz\n                       iMMEWMM.\n                       .MM  AMM1\n                       .Mb   iMMM,\n                        M6    .$MME\n                     i.;MMic.   YMM.\n                   iS#MMQQMM$i  ,$MMi\n                   MMA$MX   0Mi   WM:\n                   @MoWMS   ZMi   WM,\n                   .iI@MW$M@U. c#ibM,\n                      @Mtii:n@MMM;AM,\n                      7MMMM@M@@MM:9M,\n                        MMQ###M2  WM,\n                       iMM@#@E   .BM,\n          i8Zoi       WM$bn     . 0M,    C292\n        :6@@@MMB.     ZM      ..iSMM:  tMMM@@#7\n        zM1   EM0   .UMM.    .i.;MM:  .MM.   MM\n        YMS  :@Mn   .M@.  ...::2MMX    MM2   MM\n          WMMMMM@z :MMt   .:;,.BMM#A .E@MMMMMv\n                tM#MMMY  .::,CMM# .MM@Q\n                   WM:  .c7tMMM:\n                 :$MMMM6ZMMMMM.\n                t@i;AE$@@$C  7@c\n             Y@#MMU           MM#@@W\n           ;##2tviY8$W.    E#W77zU60MI\n           SMS      UM#   iMM       MM\n            .oBBBBBQAi.    .X0WBBBB0;.   \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n\n\n                         .Iz.\n                       .9MMMMz\n                       iMMEWMM.\n                       .MM  AMM1\n                       .Mb   iMMM,\n                        M6    .$MME\n                     i.;MMic.   YMM.\n                   iS#MMQQMM$i  ,$MMi\n                   MMA$MX   0Mi   WM:\n                   @MoWMS   ZMi   WM,\n                   .iI@MW$M@U. c#ibM,\n                      @Mtii:n@MMM;AM,\n                      7MMMM@M@@MM:9M,\n                        MMQ###M2  WM,\n                       iMM@#@E   .BM,\n          i8Zoi       WM$bn     . 0M,    C292\n        :6@@@MMB.     ZM      ..iSMM:  tMMM@@#7\n        zM1   EM0   .UMM.    .i.;MM:  .MM.   MM\n        YMS  :@Mn   .M@.  ...::2MMX    MM2   MM\n          WMMMMM@z :MMt   .:;,.BMM#A .E@MMMMMv\n                tM#MMMY  .::,CMM# .MM@Q\n                   WM:  .c7tMMM:\n                 :$MMMM6ZMMMMM.\n                t@i;AE$@@$C  7@c\n             Y@#MMU           MM#@@W\n           ;##2tviY8$W.    E#W77zU60MI\n           SMS      UM#   iMM       MM\n            .oBBBBBQAi.    .X0WBBBB0;.   \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("\n\n\n                         .Iz.\n                       .9MMMMz\n                       iMMEWMM.\n                       .MM  AMM1\n                       .Mb   iMMM,\n                        M6    .$MME\n                     i.;MMic.   YMM.\n                   iS#MMQQMM$i  ,$MMi\n                   MMA$MX   0Mi   WM:\n                   @MoWMS   ZMi   WM,\n                   .iI@MW$M@U. c#ibM,\n                      @Mtii:n@MMM;AM,\n                      7MMMM@M@@MM:9M,\n                        MMQ###M2  WM,\n                       iMM@#@E   .BM,\n          i8Zoi       WM$bn     . 0M,    C292\n        :6@@@MMB.     ZM      ..iSMM:  tMMM@@#7\n        zM1   EM0   .UMM.    .i.;MM:  .MM.   MM\n        YMS  :@Mn   .M@.  ...::2MMX    MM2   MM\n          WMMMMM@z :MMt   .:;,.BMM#A .E@MMMMMv\n                tM#MMMY  .::,CMM# .MM@Q\n                   WM:  .c7tMMM:\n                 :$MMMM6ZMMMMM.\n                t@i;AE$@@$C  7@c\n             Y@#MMU           MM#@@W\n           ;##2tviY8$W.    E#W77zU60MI\n           SMS      UM#   iMM       MM\n            .oBBBBBQAi.    .X0WBBBB0;.   \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");




        printf("                       iW@Wi\n                      BMt.ZME\n                      8MC.0MM.\n                     vMM, :WMM.\n                    iMMi    #M@:\n                    .M1      0M#\n  iMMMM;           tMMMB.7MM@MM9           cMMMM,\n.@M,.oMM@        vMb   vM0 . .MMM.       .MMMC.:M$\n.MM    MM        YM7 2. Mo o. @MM.       .MM    @M\n EMi,zMM$        .@A ..;@b.,..EMM.        WMMz,.zW\n  .MM@#M$v;.       QMM$C .@#M@70M.     .i:EM@MM$\n        nbMMZn:    0Mn;cCXcvizMMM.  in9MMSc\n          .7oMMW8i XMMMMMMMMMM6@M  ZMMtv\n              ivMME@MM#0EE0M0. IM##M7\n                   $M:tMMMMi   $Mv\n                   6M        ..WM\n                   QM       .::@M.\n                   WM.       XMMW\n                   BM.  .... ;Mo\n                   BM, ....iC#ME\n                   BM.   ...#Mz\n                   $M.  ..v#MM\n                   EMMMMXEMM2\n                    .MMMMMM@.\n                    .0i    0U\n                   tMU     XM@.\n                   Y2       iW\n               B@@BMM0.    7MMM@@@c\n           :@M@8Azt;AM#   :MMiX2A9#MM7\n           CM@      MME   .MMo     tMM\n           i##QWBBBt:..    .,;bBBBQW@I  \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("                       iW@Wi\n                      BMt.ZME\n                      8MC.0MM.\n                     vMM, :WMM.\n                    iMMi    #M@:\n                    .M1      0M#\n  iMMMM;           tMMMB.7MM@MM9           cMMMM,\n.@M,.oMM@        vMb   vM0 . .MMM.       .MMMC.:M$\n.MM    MM        YM7 2. Mo o. @MM.       .MM    @M\n EMi,zMM$        .@A ..;@b.,..EMM.        WMMz,.zW\n  .MM@#M$v;.       QMM$C .@#M@70M.     .i:EM@MM$\n        nbMMZn:    0Mn;cCXcvizMMM.  in9MMSc\n          .7oMMW8i XMMMMMMMMMM6@M  ZMMtv\n              ivMME@MM#0EE0M0. IM##M7\n                   $M:tMMMMi   $Mv\n                   6M        ..WM\n                   QM       .::@M.\n                   WM.       XMMW\n                   BM.  .... ;Mo\n                   BM, ....iC#ME\n                   BM.   ...#Mz\n                   $M.  ..v#MM\n                   EMMMMXEMM2\n                    .MMMMMM@.\n                    .0i    0U\n                   tMU     XM@.\n                   Y2       iW\n               B@@BMM0.    7MMM@@@c\n           :@M@8Azt;AM#   :MMiX2A9#MM7\n           CM@      MME   .MMo     tMM\n           i##QWBBBt:..    .,;bBBBQW@I  \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");
        printf("                       iW@Wi\n                      BMt.ZME\n                      8MC.0MM.\n                     vMM, :WMM.\n                    iMMi    #M@:\n                    .M1      0M#\n  iMMMM;           tMMMB.7MM@MM9           cMMMM,\n.@M,.oMM@        vMb   vM0 . .MMM.       .MMMC.:M$\n.MM    MM        YM7 2. Mo o. @MM.       .MM    @M\n EMi,zMM$        .@A ..;@b.,..EMM.        WMMz,.zW\n  .MM@#M$v;.       QMM$C .@#M@70M.     .i:EM@MM$\n        nbMMZn:    0Mn;cCXcvizMMM.  in9MMSc\n          .7oMMW8i XMMMMMMMMMM6@M  ZMMtv\n              ivMME@MM#0EE0M0. IM##M7\n                   $M:tMMMMi   $Mv\n                   6M        ..WM\n                   QM       .::@M.\n                   WM.       XMMW\n                   BM.  .... ;Mo\n                   BM, ....iC#ME\n                   BM.   ...#Mz\n                   $M.  ..v#MM\n                   EMMMMXEMM2\n                    .MMMMMM@.\n                    .0i    0U\n                   tMU     XM@.\n                   Y2       iW\n               B@@BMM0.    7MMM@@@c\n           :@M@8Azt;AM#   :MMiX2A9#MM7\n           CM@      MME   .MMo     tMM\n           i##QWBBBt:..    .,;bBBBQW@I  \n\n         IT'S PEANUT BUTTER JELLY TIME!\n");
        system("cls");

        i++;
    }
    system ("color 1F");
}

